aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mdnsd/mdnsd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/mdnsd/mdnsd.initd')
-rw-r--r--testing/mdnsd/mdnsd.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/testing/mdnsd/mdnsd.initd b/testing/mdnsd/mdnsd.initd
new file mode 100644
index 00000000000..7bb9f49b5b7
--- /dev/null
+++ b/testing/mdnsd/mdnsd.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+
+description="embeddable multicast DNS daemon"
+command="/usr/sbin/mdnsd"
+command_args="${MDNSD_OPTS}"
+command_background="yes"
+command_user="daemon:daemon"
+
+pidfile="/run/${RC_SVCNAME}.pid"
+extra_started_commands="reload"
+
+depend() {
+ need net
+ after firewall
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}